# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`puppet_bolt_server`](#puppet_bolt_server): This Bolt Server module will install and configure Bolt to use the PCP protocol

### Tasks

* [`status`](#status): Returns the number of Bolt processes, and free available memory

## Classes

### <a name="puppet_bolt_server"></a>`puppet_bolt_server`

This Bolt Server module will install and configure Bolt to use the PCP protocol

#### Examples

##### Basic usage

```puppet
include puppet_bolt_server
```

#### Parameters

The following parameters are available in the `puppet_bolt_server` class:

* [`puppet_token`](#-puppet_bolt_server--puppet_token)
* [`bolt_log_level`](#-puppet_bolt_server--bolt_log_level)

##### <a name="-puppet_bolt_server--puppet_token"></a>`puppet_token`

Data type: `Sensitive[String]`

This should be a token with permissions to launch Orchestrator jobs.
Generate a token with a lifetime of 1 year: puppet access login --lifetime 1y

##### <a name="-puppet_bolt_server--bolt_log_level"></a>`bolt_log_level`

Data type: `Enum['trace', 'debug', 'info', 'warn', 'error', 'fatal']`

This Enum (String) configures the log level in the bolt-project configuration file
By default the log level is set to 'debug'
For more information, please read the Bolt logs doc:
  https://puppet.com/docs/bolt/latest/logs.html#log-levels

Default value: `'info'`

## Tasks

### <a name="status"></a>`status`

Returns the number of Bolt processes, and free available memory

**Supports noop?** false

